import DataLoader from 'dataloader';
import { AdminContextProvider } from '../../admin-context/providers/admin-context.provider.js';
import { TenantAwareDBClient } from '../../app-providers/tenant-db-client.js';
import type { IDeleteBusinessTripOtherExpenseParams, IInsertBusinessTripOtherExpenseParams, IUpdateBusinessTripOtherExpenseParams } from '../types.js';
export declare class BusinessTripOtherExpensesProvider {
    private db;
    private adminContextProvider;
    constructor(db: TenantAwareDBClient, adminContextProvider: AdminContextProvider);
    private batchBusinessTripsOtherExpensesByBusinessTripIds;
    getBusinessTripsOtherExpensesByBusinessTripIdLoader: DataLoader<string, import("../types.js").IGetBusinessTripsOtherExpensesByBusinessTripIdsResult[], string>;
    private batchBusinessTripsOtherExpensesByIds;
    getBusinessTripsOtherExpensesByIdLoader: DataLoader<string, import("../types.js").IGetBusinessTripsOtherExpensesByIdsResult | undefined, string>;
    updateBusinessTripOtherExpense(params: IUpdateBusinessTripOtherExpenseParams): Promise<import("../types.js").IUpdateBusinessTripOtherExpenseResult[]>;
    insertBusinessTripOtherExpense(params: IInsertBusinessTripOtherExpenseParams): Promise<import("../types.js").IInsertBusinessTripOtherExpenseResult[]>;
    deleteBusinessTripOtherExpense(params: IDeleteBusinessTripOtherExpenseParams): Promise<import("../types.js").IDeleteBusinessTripOtherExpenseResult[]>;
    invalidateById(expenseId: string): Promise<void>;
    invalidateByBusinessTripId(businessTripId: string): Promise<void>;
    clearCache(): void;
}
